Ecore_Evas Single Process Windowing System.

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions | Variables
Ecore_Evas Single Process Windowing System.
Ecore » Ecore_Evas wrapper/helper set of functions

These are global scope functions to manage the EWS to be used by ecore_evas_ews_new(). More...

## Functions
EAPI Eina_Bool | ecore_evas_ews_engine_set (const char *engine, const char *options)
| Sets the engine to be used by the backing store engine.
EAPI Eina_Bool | ecore_evas_ews_setup (int x, int y, int w, int h)
| Reconfigures the backing store used.
EAPI Ecore_Evas * | ecore_evas_ews_ecore_evas_get (void)
| Returns the internal backing store in use.
EAPI Evas * | ecore_evas_ews_evas_get (void)
| Returns the internal backing store in use.
EAPI Evas_Object * | ecore_evas_ews_background_get (void)
| Gets the current background.
EAPI void | ecore_evas_ews_background_set (Evas_Object *o)
| Sets the current background, must be created by evas ecore_evas_ews_evas_get().
EAPI const Eina_List * | ecore_evas_ews_children_get (void)
| Returns all Ecore_Evas* created by EWS.
EAPI void | ecore_evas_ews_manager_set (const void *manager)
| Sets the identifier of the manager taking care of internal windows.
EAPI const void * | ecore_evas_ews_manager_get (void)
| Gets the identifier of the manager taking care of internal windows.

## Variables
EAPI int | ECORE_EVAS_EWS_EVENT_MANAGER_CHANGE
| manager was changed
EAPI int | ECORE_EVAS_EWS_EVENT_ADD
| window was created
EAPI int | ECORE_EVAS_EWS_EVENT_DEL
| window was deleted, pointer is already invalid but may be used as reference for further cleanup work.
EAPI int | ECORE_EVAS_EWS_EVENT_RESIZE
| window was resized
EAPI int | ECORE_EVAS_EWS_EVENT_MOVE
| window was moved
EAPI int | ECORE_EVAS_EWS_EVENT_SHOW
| window become visible
EAPI int | ECORE_EVAS_EWS_EVENT_HIDE
| window become hidden
EAPI int | ECORE_EVAS_EWS_EVENT_FOCUS
| window was focused
EAPI int | ECORE_EVAS_EWS_EVENT_UNFOCUS
| window lost focus
EAPI int | ECORE_EVAS_EWS_EVENT_RAISE
| window was raised
EAPI int | ECORE_EVAS_EWS_EVENT_LOWER
| window was lowered
EAPI int | ECORE_EVAS_EWS_EVENT_ACTIVATE
| window was activated
EAPI int | ECORE_EVAS_EWS_EVENT_ICONIFIED_CHANGE
| window minimized/iconified changed
EAPI int | ECORE_EVAS_EWS_EVENT_MAXIMIZED_CHANGE
| window maximized changed
EAPI int | ECORE_EVAS_EWS_EVENT_LAYER_CHANGE
| window layer changed
EAPI int | ECORE_EVAS_EWS_EVENT_FULLSCREEN_CHANGE
| window fullscreen changed
EAPI int | ECORE_EVAS_EWS_EVENT_CONFIG_CHANGE
| some other window property changed (title, name, class, alpha, transparent, shaped...)

## Detailed Description

These are global scope functions to manage the EWS to be used by ecore_evas_ews_new().

Since
  1.1

Deprecated:
  -

Since
  1.26

## Function Documentation

## ◆ ecore_evas_ews_engine_set()

EAPI Eina_Bool ecore_evas_ews_engine_set | ( | const char * | engine,
|  | const char * | options
| ) |  |

Sets the engine to be used by the backing store engine.

Parameters

  engine | The engine to be set.
  options | The options of the engine to be set.

Returns
  `EINA_TRUE` on success, `EINA_FALSE` if ews is already in use.

Since
  1.1

Deprecated:
  -

Since
  1.26

References EINA_FALSE.

## ◆ ecore_evas_ews_setup()

EAPI Eina_Bool ecore_evas_ews_setup | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  |

Reconfigures the backing store used.

Parameters

  x | The X coordinate to be used.
  y | The Y coordinate to be used.
  w | The width of the Ecore_Evas to setup.
  h | The height of the Ecore_Evas to setup.

Returns
  `EINA_TRUE` on success, `EINA_FALSE` otherwise.

Since
  1.1

Deprecated:
  -

Since
  1.26

References EINA_FALSE.

## ◆ ecore_evas_ews_ecore_evas_get()

EAPI Ecore_Evas * ecore_evas_ews_ecore_evas_get | ( | void |  | ) |

Returns the internal backing store in use.

Returns
  The internal backing store in use.

Note
  this will force it to be created, making future calls to ecore_evas_ews_engine_set() void.

See also
  ecore_evas_ews_evas_get()

Since
  1.1

Deprecated:
  -

Since
  1.26

## ◆ ecore_evas_ews_evas_get()

EAPI Evas * ecore_evas_ews_evas_get | ( | void |  | ) |

Returns the internal backing store in use.

Returns
  The internal backing store in use.

Note
  this will force it to be created, making future calls to ecore_evas_ews_engine_set() void.

See also
  ecore_evas_ews_ecore_evas_get()

Since
  1.1

Deprecated:
  -

Since
  1.26

## ◆ ecore_evas_ews_background_get()

EAPI Evas_Object * ecore_evas_ews_background_get | ( | void |  | ) |

Gets the current background.

Deprecated:
  -

Since
  1.26

## ◆ ecore_evas_ews_background_set()

EAPI void ecore_evas_ews_background_set | ( | Evas_Object * | o | ) |

Sets the current background, must be created by evas ecore_evas_ews_evas_get().

Parameters

  o | The Evas_Object for which to set the background.

It will be kept at lowest layer (EVAS_LAYER_MIN) and below everything else. You can set any object, default is a black rectangle.

Note
  previous object will be deleted!

Deprecated:
  -

Since
  1.26

## ◆ ecore_evas_ews_children_get()

EAPI const Eina_List * ecore_evas_ews_children_get | ( | void |  | ) |

Returns all Ecore_Evas* created by EWS.

Returns
  An eina list of Ecore_evases.

Note
  Do not change the returned list or its contents.

Since
  1.1

Deprecated:
  -

Since
  1.26

## ◆ ecore_evas_ews_manager_set()

EAPI void ecore_evas_ews_manager_set | ( | const void * | manager | ) |

Sets the identifier of the manager taking care of internal windows.

Parameters

  manager | any unique identifier address.

The ECORE_EVAS_EWS_EVENT_MANAGER_CHANGE event is issued. Consider handling it to know if you should stop handling events yourself (ie: another manager took over)

See also
  ecore_evas_ews_manager_get()

Since
  1.1

Deprecated:
  -

Since
  1.26

## ◆ ecore_evas_ews_manager_get()

EAPI const void * ecore_evas_ews_manager_get | ( | void |  | ) |

Gets the identifier of the manager taking care of internal windows.

Returns
  the value set by ecore_evas_ews_manager_set()

Since
  1.1

Deprecated:
  -

Since
  1.26

## Variable Documentation

## ◆ ECORE_EVAS_EWS_EVENT_MANAGER_CHANGE

EAPI int ECORE_EVAS_EWS_EVENT_MANAGER_CHANGE
| extern

manager was changed

Since
  1.1

## ◆ ECORE_EVAS_EWS_EVENT_ADD

EAPI int ECORE_EVAS_EWS_EVENT_ADD
| extern

window was created

Since
  1.1

## ◆ ECORE_EVAS_EWS_EVENT_DEL

EAPI int ECORE_EVAS_EWS_EVENT_DEL
| extern

window was deleted, pointer is already invalid but may be used as reference for further cleanup work.

Since
  1.1

## ◆ ECORE_EVAS_EWS_EVENT_RESIZE

EAPI int ECORE_EVAS_EWS_EVENT_RESIZE
| extern

window was resized

Since
  1.1

## ◆ ECORE_EVAS_EWS_EVENT_MOVE

EAPI int ECORE_EVAS_EWS_EVENT_MOVE
| extern

window was moved

Since
  1.1

## ◆ ECORE_EVAS_EWS_EVENT_SHOW

EAPI int ECORE_EVAS_EWS_EVENT_SHOW
| extern

window become visible

Since
  1.1

## ◆ ECORE_EVAS_EWS_EVENT_HIDE

EAPI int ECORE_EVAS_EWS_EVENT_HIDE
| extern

window become hidden

Since
  1.1

## ◆ ECORE_EVAS_EWS_EVENT_FOCUS

EAPI int ECORE_EVAS_EWS_EVENT_FOCUS
| extern

window was focused

Since
  1.1

## ◆ ECORE_EVAS_EWS_EVENT_UNFOCUS

EAPI int ECORE_EVAS_EWS_EVENT_UNFOCUS
| extern

window lost focus

Since
  1.1

## ◆ ECORE_EVAS_EWS_EVENT_RAISE

EAPI int ECORE_EVAS_EWS_EVENT_RAISE
| extern

window was raised

Since
  1.1

## ◆ ECORE_EVAS_EWS_EVENT_LOWER

EAPI int ECORE_EVAS_EWS_EVENT_LOWER
| extern

window was lowered

Since
  1.1

## ◆ ECORE_EVAS_EWS_EVENT_ACTIVATE

EAPI int ECORE_EVAS_EWS_EVENT_ACTIVATE
| extern

window was activated

Since
  1.1

## ◆ ECORE_EVAS_EWS_EVENT_ICONIFIED_CHANGE

EAPI int ECORE_EVAS_EWS_EVENT_ICONIFIED_CHANGE
| extern

window minimized/iconified changed

Since
  1.1

## ◆ ECORE_EVAS_EWS_EVENT_MAXIMIZED_CHANGE

EAPI int ECORE_EVAS_EWS_EVENT_MAXIMIZED_CHANGE
| extern

window maximized changed

Since
  1.1

## ◆ ECORE_EVAS_EWS_EVENT_LAYER_CHANGE

EAPI int ECORE_EVAS_EWS_EVENT_LAYER_CHANGE
| extern

window layer changed

Since
  1.1

## ◆ ECORE_EVAS_EWS_EVENT_FULLSCREEN_CHANGE

EAPI int ECORE_EVAS_EWS_EVENT_FULLSCREEN_CHANGE
| extern

window fullscreen changed

Since
  1.1

## ◆ ECORE_EVAS_EWS_EVENT_CONFIG_CHANGE

EAPI int ECORE_EVAS_EWS_EVENT_CONFIG_CHANGE
| extern

some other window property changed (title, name, class, alpha, transparent, shaped...)

Since
  1.1